
; *********************************************************************
; **** Tasterbehandlung ***********************************************
; **** hier stehen die Ereignisse die ausgefhrt werden wenn ein Taster
; **** gedrckt wurde *************************************************
; **** test des Registers TASTER_PRESSED, welches von Timer-Routine
; **** entsprechend eines gedrckten Tasters gesetzt wird 

Taster_Abfrage:
	push	WORK
	tst 	TASTER_PRESSED			; ist berhaupt ein Taster gedrckt ?
	breq	No_Tast_press			; nein dann Ende ohne weitere abfrage

	; die Abfrage fr GLEICHZEITIGES Drcken von Taster , steht in Timer0-Routine
	
	ldi	WORK, 'T'			; da mind. 1Taster gedrckt sende
	out 	UART_UDR, WORK			; schonmal ein 'T'

	; *** Test und Aufgabe fr Taster 1
	pressed_taster_1:
	mov	WORK, TASTER_PRESSED		; wurde Taster 1 gedrckt ???
	cpi     WORK, 1
	brne	pressed_taster_2		; nein dann test next 
	andi	WORK, 0b11111110		; ja dann mache Bit frei f. nchsten Druck
	mov	TASTER_PRESSED, WORK
	ldi	WORK, '1'			; und jetzt sende Zahl welcher Taster gedrckt
	out 	UART_UDR, WORK	
	
	; *** Test und Aufgabe fr Taster 2		; w.o.
	pressed_taster_2:	
	mov	WORK, TASTER_PRESSED	
	cpi     WORK, 2
	brne	pressed_taster_3	
	andi	WORK, 0b11111101
	mov	TASTER_PRESSED, WORK	
	ldi	WORK, '2'
	out 	UART_UDR, WORK
	
	; *** Test und Aufgabe fr Taster 3		; w.o
	pressed_taster_3:	
	mov	WORK, TASTER_PRESSED	
	cpi     WORK, 4
	brne	pressed_taster_4	
	andi	WORK, 0b11111011
	mov	TASTER_PRESSED, WORK
	ldi	WORK, '3'
	out 	UART_UDR, WORK
	
	; *** Test und Aufgabe fr Taster 4		; w.o
	pressed_taster_4:	
	mov	WORK, TASTER_PRESSED	
	cpi     WORK, 8
	brne	No_Tast_press
	andi	WORK, 0b11110111
	mov	TASTER_PRESSED, WORK	
	ldi	WORK, '4'
	out 	UART_UDR, WORK

	; *** Es wurde kein Taster gedrckt
	No_Tast_press:
	pop	WORK
	ret
; ***** End Tasterbehandlung ************************************************