; ********************************************************************
; ***** Die Pauseroutine 
; ***** Falls ein anderer Quarz als 8Mhz verwendet wird, mssen die 
; ***** Timings berprft werden (vorallem in display_steuer.inc)
; ***** Grosse Pause				Delay_X_long
; ***** KLeine Pause				Delay_X


; ********************************************************************
; ***** Pause von ca. 100us bis 6.4sec / bei 8Mhz ********************
; *****
; ******** innere Pause Delay_X :    (bei 8Mhz u. Fakt=1 ca. 100us)***
; ******** -- Register ***********************************************
; ***** bergebener Wert, die Lnge d.P.:	PAUSEWERT ************
; ***** Faktor : 1-255 ergibt 100us-25ms , 0 maximum *****************
; ***** uerer Schleifen Zhler 	:	PAUSE1 (>=r16) *******
; *****
; ******** Groe Pause Delay_X_long :(bei 8Mhz u. Fakt=1 ca. 25ms )***
; ******** -- Register ***********************************************
; ***** bergebener Wert, die Lnge d.P.:	PAUSEWERT ************
; ***** Faktor : 1-255 ergibt 25ms-6,4sec , 0 maximum ****************
; ***** zus. zu PAUSE1 noch das Register PAUSE_LANG, welches *********
; ***** nicht direkt beschrieben werden kann (unter r16) *************
; ********************************************************************
Delay_X_long:				; Schleife Pause Lang
	mov	PAUSE_LANG, PAUSEWERT	; (indirk.Reg) Wert sichern 
	clr	PAUSEWERT		; clr damit Delay_X auf max luft
	rjmp	Dlong			; und beginn Schleife
Delay_X:				; Schleife Pause Klein
	ldi	PAUSE1,1		; wenn kl.Pause mu PAUSE_LANG (r0)
	mov	PAUSE_LANG,PAUSE1	; so sein, das Gr.Schleife u. nicht durchlaufen wird !! 
    Dlong:				; die uere Schleife
	clr	PAUSE1			; 256 durchlufe
    Loop1:				; die innere Schleife
	dec	PAUSE1				
	brne	Loop1				; **
	dec	PAUSEWERT
	brne	Dlong			; **
	dec	PAUSE_LANG
	brne	Dlong		; **
	ret	
; *** End Pause ******************************************************
